import * as $dara from '@darabonba/typescript';
import { CreateFullNatEntryResponseBody } from "./CreateFullNatEntryResponseBody";
export declare class CreateFullNatEntryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateFullNatEntryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
